## code-reset 0.1

=== debian/changelog ===
code-reset (0.1) freemantle; urgency=low

  * Initial release. (Closes: #XXXXXX)

 -- Jacek Milewicz <jacekowski@jacekowski.org>  Thu,  8 Jul 2010 23:03:42 +0200
