=== debian/control ===
Source: code-reset
Priority: extra
Maintainer: Jacek Milewicz <jacekowski@jacekowski.org>
Build-Depends: libcal-dev
Standards-Version: 3.7.3
XSBC-Bugtracker: http://flyspray.jacekowski.org/

Package: code-reset
Architecture: armel
Depends: libcal1
Description: reset lock code
